Bug 216584 - mail/thunderbird: update to 45.7.1
Summary: mail/thunderbird: update to 45.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords: easy, patch, security
Depends on:
Blocks:
 
Reported: 2017-01-29 22:09 UTC by Christoph Moench-Tegeder
Modified: 2017-03-03 18:40 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
thunderbird 45.7.0 (24.90 KB, patch)
2017-01-29 22:09 UTC, Christoph Moench-Tegeder
no flags Details | Diff
thunderbird 45.7.1 (24.58 KB, patch)
2017-02-08 13:04 UTC, Christoph Moench-Tegeder
no flags Details | Diff
update to 45.7.1 (23.75 KB, patch)
2017-03-02 16:41 UTC, Christoph Moench-Tegeder
jbeich: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2017-01-29 22:09:50 UTC
Created attachment 179410 [details]
thunderbird 45.7.0

patch attached. while at it, fix up lightning as discussed in bug #215348
"works for me" and poudriere on 10.3. will MFH for security.
Comment 1 Jochen Neumeister freebsd_committer 2017-02-03 09:08:49 UTC
(In reply to Christoph Moench-Tegeder from comment #0)
Hey Christoph,
i am wondering about patch-bug1290037.
Jan add this patch last year https://svnweb.freebsd.org/ports?view=revision&revision=428566
Comment 2 Christoph Moench-Tegeder freebsd_committer 2017-02-03 13:06:19 UTC
(In reply to Jochen Neumeister from comment #1)
https://hg.mozilla.org/releases/mozilla-esr45/rev/bf0dd9ae6807
Comment 3 Christoph Moench-Tegeder freebsd_committer 2017-02-08 13:04:42 UTC
Created attachment 179754 [details]
thunderbird 45.7.1

rebased on latest changes and bumped along to latest thunderbird release
https://www.mozilla.org/en-US/thunderbird/45.7.1/releasenotes/

I'd like to get this committed this week, before I disappear again.
Comment 4 Jan Beich freebsd_committer 2017-02-08 16:24:14 UTC
Comment on attachment 179754 [details]
thunderbird 45.7.1

Thank you. If you want a quick review don't bundle many changes in one patch. For one, I could've approved update to 45.7 a week earlier.

Bug 215348 fix is suboptimal because it makes Lightning a system addon which are disabled by default for new users/profiles. One way to fix is by adjusting extensions.autoDisableScopes via lib/thunderbird/defaults/preferences/<whatever>.js similar to ArchLinux.

> +post-install-LIGHTNING-on:
> +	${MV} ${STAGEDIR}${PREFIX}/lib/thunderbird/distribution/extensions/\{e2fda1a4-762b-4020-b5ad-a41df1933103\} ${STAGEDIR}${PREFIX}/lib/thunderbird/extensions/
> +	${RMDIR} ${STAGEDIR}${PREFIX}/lib/thunderbird/distribution/extensions/
> +	${RMDIR} ${STAGEDIR}${PREFIX}/lib/thunderbird/distribution/

- Replace lib/thunderbird with lib/${MOZILLA}
- Apply to www/seamonkey as well
Comment 5 Martin Wilke freebsd_committer 2017-03-02 14:22:34 UTC
Hi,

Can we get this patch set in?
Comment 6 Christoph Moench-Tegeder freebsd_committer 2017-03-02 16:41:45 UTC
Created attachment 180441 [details]
update to 45.7.1

more testing with lightning reveals that I have the choice of restoring some functionality of the lightning plugin (and sometimes weird interaction with extensions which require lightning) and making lightning unavailable for new profiles, or having lightning available for new profiles but no lightning in profiles created "before everything changed". Let's scratch that, I've already sunk too much time into this and decided to re-create my profile. With the latest update patch (attached) the build looks like an official package (i.e. like the linux installation) and - with the new profile - works for me and poudriere.
Proposed UPDATING:

20170302:
  AFFECTS: users of mail/thunderbird with Lightning
  AUTHOR: cmt@FreeBSD.org

  After changes in the packaging of the Lightning extension, profiles
  using this extension have to be re-created.
Comment 7 commit-hook freebsd_committer 2017-03-02 18:10:49 UTC
A commit references this bug:

Author: cmt
Date: Thu Mar  2 18:10:10 UTC 2017
New revision: 435290
URL: https://svnweb.freebsd.org/changeset/ports/435290

Log:
  update thunderbird to 45.7.1

  https://www.mozilla.org/en-US/thunderbird/45.7.0/releasenotes/
  https://www.mozilla.org/en-US/thunderbird/45.7.1/releasenotes/

  After changes in packaging in ports r428672, profiles using lightning
  will have to be recreated.

  PR:		216584
  Approved by:	jbeich (maintainer), rene (mentor, implicit)
  MFH:		2017Q1
  Security:	e60169c4-aa86-46b0-8ae2-0d81f683df09 e60169c4-aa86-46b0-8ae2-0d81f683df09

Changes:
  head/UPDATING
  head/mail/linux-thunderbird/Makefile
  head/mail/linux-thunderbird/distinfo
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/patch-bug1290037
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 8 Jochen Neumeister freebsd_committer 2017-03-02 19:21:03 UTC
Is it positive to commit it in 2017Q1, too?
Comment 9 Christoph Moench-Tegeder freebsd_committer 2017-03-02 21:52:15 UTC
most probably, but this change isn't covered by any blanket, so I'll wait for approval.
Comment 10 commit-hook freebsd_committer 2017-03-03 18:28:27 UTC
A commit references this bug:

Author: cmt
Date: Fri Mar  3 18:27:49 UTC 2017
New revision: 435355
URL: https://svnweb.freebsd.org/changeset/ports/435355

Log:
  MFH: r435290

  update thunderbird to 45.7.1

  https://www.mozilla.org/en-US/thunderbird/45.7.0/releasenotes/
  https://www.mozilla.org/en-US/thunderbird/45.7.1/releasenotes/

  After changes in packaging in ports r428672, profiles using lightning
  will have to be recreated.

  PR:		216584
  Approved by:	jbeich (maintainer), rene (mentor, implicit)
  Security:	e60169c4-aa86-46b0-8ae2-0d81f683df09 e60169c4-aa86-46b0-8ae2-0d81f683df09

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/UPDATING
  branches/2017Q1/mail/linux-thunderbird/Makefile
  branches/2017Q1/mail/linux-thunderbird/distinfo
  branches/2017Q1/mail/thunderbird/Makefile
  branches/2017Q1/mail/thunderbird/distinfo
  branches/2017Q1/mail/thunderbird/files/patch-bug1290037
  branches/2017Q1/mail/thunderbird-i18n/Makefile
  branches/2017Q1/mail/thunderbird-i18n/distinfo